# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of an ACH payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the payment details of an ACH payment request. By the end of this tutorial, you'll know how to: Use the `endToEndId` to retrieve the transaction details of your payment request. ## Before you begin To retrieve the details of an ACH payment request, you'll need the following: An `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment#confirm-response). ## Create and send a payment details request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment#confirm-response) contains an `endToEndId` value that can be used to retrieve the details of the payment request. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=XR20210920CS1131416' ``` A successful response contains the transaction details for your payment request: ```json { "paymentStatus": { "createDateTime": "2022-12-01T00:00:12.145", "status": "COMPLETED" }, "payments": { "paymentIdentifiers": { "endToEndId": "XR20210920CS1131416" }, "requestedExecutionDate": "2022-12-01", "transferType": "CREDIT", "paymentCurrency": "CLP", "paymentAmount": 300, "debtor": { "debtorAccount": { "accountId": "2600023565", "accountCurrency": "CLP" }, "debtorName": "John Doe" }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASCLRM" } }, "creditorAgent": { "financialInstitutionId": { "bic": "BCHICLRM", "clearingSystemId": { "id": "114740179", "branchNumber": "0001" } } }, "creditor": { "creditorName": "Jane Smith", "creditorAccount": { "accountId": "101000974", "accountType": "SVGS" }, "postalAddress": { "country": "CL" } }, "paymentType": "ACH.TRF", "purpose": { "code": "0010130000", "type": "PROPRIETARY" }, "taxInformation": { "creditorTaxInformation": { "taxId": "12345678-K", "taxpayerCategory": "INDIVIDUAL" } } }, "firmRootId": "xatv-12522a-cqvf-225" } ``` ## Next steps Review the [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/ach/payment-parameters) for Chile-specific implementation. ## Related - Learn how to [Initiate a payment request](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment). - Learn how to [Get the status of your ACH request](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/get-ach-request-status).